## netbeans 10.0

=== harness/apisupport.harness/windows-launcher-src/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL



# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post

.build-pre: .build-pre-$(CONF)
# Add your pre 'build' code here...

.build-pre-app.exe: app.rc
	windres -oapp.res -Ocoff app.rc

.build-pre-app64.exe: app.rc
	x86_64-w64-mingw32-windres.exe -oapp64.res -Ocoff app.rc

.build-post: .build-impl
# Add your post 'build' code here...	



# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== java/performance/jtrace/linux/Makefile ===
# -*- Makefile -*-
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

JDK_HOME = /usr/local/jdk

INCLUDES = -I. -I$(JDK_HOME)/include -I$(JDK_HOME)/include/linux

SRC_DIR = ../src

all: libjtrace.so

libjtrace.so: $(SRC_DIR)/jtrace.cpp
	cc $(INCLUDES) $(SRC_DIR)/jtrace.cpp -shared -o libjtrace.so

clean:
	rm -f *.so

=== debian/changelog ===
netbeans (10.0-3ubuntu3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:28 +0000

netbeans (10.0-3ubuntu2) eoan; urgency=medium

  * Backport upstream patch to remove old javadoc api and implementation usage
    to make it work with OpenJDK 11 and later. (Closes: #925509, LP: #1828427)
  * Depend on java11-sdk instead of java8-sdk as Netbeans is now configured to
    run with openjdk-11. (LP: #1825604)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 21 May 2019 20:22:04 +0000

netbeans (10.0-3) unstable; urgency=medium

  * Drop javaewah-version.patch
  * Tighten dependency on libjavaewah-java (>= 0.7.9)
  * Start new changelog entry
  * Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and
    Netbeans 10.
    Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac
    needs to override classfiles in the JDK and some OSGi metadata is only
    present in the prebuilt version from the plugin portal. This has to be
    added to fix the sealing violation error.
    Thanks to Jan Lahoda and Jaroslav Tulach for the help and support.
    (Closes: #920707)

 -- Markus Koschany <apo@debian.org>  Thu, 28 Feb 2019 23:16:54 +0100

netbeans (10.0-2) unstable; urgency=medium

  * Replace NoJavacHelper.patch with Unsafe.patch which is much better.
  * Fix broken subversion support by symlinking all necessary system jars to
    the ide cluster.
  * Remove netbeans-slf4j.dummy.patch again.
  * Add nb-javac.patch. The nb-javac module is not properly detected. This
    patch adds the necessary jar files to the Class-Path. However now there is
    an Unexpected Exception, a sealing violation. It appears to be harmless
    but the notification at startup is irritating.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Jan 2019 23:15:32 +0100

netbeans (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
     - Fixes CVE-2016-5537. (Closes: #852029)
     - Fix Netbeans is not starting. (Closes: #894715)
     - Fix broken symlinks. (Closes: #857955)
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Remove w3c-sgm-lib and libpostgresql-jdbc-java dependencies.
  * Drop libmysql-java dependency. (Closes: #913362)

 -- Markus Koschany <apo@debian.org>  Fri, 25 Jan 2019 16:43:29 +0100

netbeans (8.1+dfsg3-5) unstable; urgency=medium

  * Update osgi-update.patch and sync it with the latest version of
    libequinox-osgi-java. (Closes: #891957)
  * Build-depend and depend on openjdk-8-jdk, otherwise Netbeans will not work.
  * Build-conflict against OpenJDK 10 and OpenJDK 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jun 2018 11:04:58 +0200

=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 ant-optional,
 antlr3 (>= 3.5.2),
 debhelper (>= 11),
 default-jdk,
 icnsutils,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4,
 libactivation-java,
 libantlr4-runtime-java,
 libbeansbinding-java,
 libbindex-java,
 libbyte-buddy-java,
 libbytelist-java,
 libcglib-java (>= 3.0),
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libeclipselink-java,
 libequinox-osgi-java (>= 3.9.1-4),
 libfelix-framework-java,
 libfelix-main-java,
 libfreemarker-java,
 libgoogle-gson-java (>= 2.8.5-3),
 libguava-java,
 libhamcrest-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjavaewah-java (>= 0.7.9),
 libjaxb-api-java,
 libjaxb-java,
 libjemmy2-java,
 libjgit-java,
 libjna-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libjpa-2.1-spec-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjsr305-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libnb-javaparser-java (>= 9),
 libopenjfx-java,
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libstringtemplate-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswing-layout-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 maven-repo-helper,
 testng
Standards-Version: 4.3.0
Homepage: https://netbeans.org/
Vcs-Browser: https://salsa.debian.org/java-team/netbeans
Vcs-Git: https://salsa.debian.org/java-team/netbeans.git

Package: libnb-absolutelayout-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an
 implementation of the java.awt.LayoutManager interface. This
 implementation allows you to position components by their
 absolute position.

Package: libnb-apisupport3-java
Architecture: all
Depends:
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform-devel-java (>= 10.0),
 libnb-platform18-java (>= 10.0),
 ${java:Depends},
 ${misc:Depends}
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for development of NetBeans Platform modular extensions.

Package: libnb-ide14-java
Architecture: all
Depends:
 antlr3 (>= 3.5.2),
 libantlr4-runtime-java,
 libasm-java (>= 5),
 libbytelist-java,
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libfreemarker-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjavaewah-java (>= 0.7.9),
 libjaxb-api-java,
 libjaxb-java,
 libjgit-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libnb-platform18-java (>= 10),
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 ${java:Depends},
 ${misc:Depends}
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends:
 ant,
 ant-optional,
 junit,
 junit-doc,
 junit4-doc,
 libbeansbinding-java,
 libbyte-buddy-java,
 libcglib-java (>= 3.0),
 libeclipselink-java,
 libnb-absolutelayout-java,
 libnb-ide14-java (= ${binary:Version}),
 libnb-javaparser-java (>= 9),
 libnb-platform18-java (>= 10.0),
 ${java:Depends},
 ${misc:Depends}
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for the NetBeans Java IDE.

Package: netbeans
Architecture: all
Depends:
 default-jdk | java11-sdk,
 libnb-apisupport3-java (= ${binary:Version}),
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform18-java (>= 10),
 ${java:Depends},
 ${misc:Depends}
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools.
 Support for PHP, Ruby, C/C++, Java EE and others can be added.

=== debian/watch ===
version=3
https://www.apache.org/dyn/closer.cgi/incubator/netbeans/incubating-netbeans/incubating-(\d.*)/incubating-netbeans-(\d.*)-source\.zip

## netbeans 12.1

=== debian/changelog ===
netbeans (12.1-3) unstable; urgency=medium

  * No change rebuild to allow the migration to testing.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Oct 2020 16:52:57 +0200

netbeans (12.1-2) unstable; urgency=medium

  * No change rebuild. Reintroduce libnb-absolutelayout-java after it got
    accidentally removed.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Oct 2020 22:36:36 +0200

netbeans (12.1-1) unstable; urgency=medium

  * Only build libnb-absolutelayout-java from now on. Drop netbeans and Co
    because it is not viable to maintain the editor in Debian. We recommend to
    install the flatpack version from flathub instead.
    (Closes: #925509, #929561, #960692, #815028, #805769, #920706, #922190)
    (Closes: #960749, #653132, #877626, #935008)
  * Remove Andrew Ross from Uploaders. He is not active anymore.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Oct 2020 22:51:24 +0200

=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 maven-repo-helper
Standards-Version: 4.5.0
Homepage: https://netbeans.org/
Vcs-Browser: https://salsa.debian.org/java-team/netbeans
Vcs-Git: https://salsa.debian.org/java-team/netbeans.git

Package: libnb-absolutelayout-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an
 implementation of the java.awt.LayoutManager interface. This
 implementation allows you to position components by their
 absolute position.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java/

%:
	dh $@ --with javahelper --with jh_maven_repo_helper
